> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create amenity for property

POST https://api.propexo.com/v1/amenities/properties/{id}
Content-Type: application/json

Create a property amenity for any integration. This is a convenience endpoint that acts as a generic proxy for all amenity creation endpoints.

Reference: https://docs.propexo.com/api-reference/pms-generic-ap-is/amenities/create-amenity-for-property

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `id` (string, required) — The ID of the resource.

### Body (application/json)

This endpoint expects a _v1_amenities_properties_{id}_post_input.

- `amenity` (string, required) — The amenity name
- `integration_id` (string, required)
- `vendor` (enum, required)
  - Allowed values: `APPFOLIO`, `BUILDIUM`, `ELISEAI`, `ENTRATA`, `FUNNEL`, `KNOCK`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTCAFE`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `custom_data` (V1AmenitiesPropertiesIdPostInputCustomData, optional, deprecated) — Deprecated: Field is no longer applicable

## Response

### 200

Successful response

- `job_id` (string, required) — The ID of the job created to handle this operation
- `data` (V1AmenitiesPropertiesIdPostOutputData, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1AmenitiesPropertiesIdPostInputCustomData

Deprecated: Field is no longer applicable

### V1AmenitiesPropertiesIdPostOutputData

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "amenity": "Swimming Pool",
  "integration_id": "int-987654321",
  "vendor": "APPFOLIO"
}
```

**Response**

```json
{
  "job_id": "job-123e4567-e89b-12d3-a456-426614174000",
  "data": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/amenities/properties/id"

payload = {
    "amenity": "Swimming Pool",
    "integration_id": "int-987654321",
    "vendor": "APPFOLIO"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/amenities/properties/id';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"amenity":"Swimming Pool","integration_id":"int-987654321","vendor":"APPFOLIO"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/amenities/properties/id"

	payload := strings.NewReader("{\n  \"amenity\": \"Swimming Pool\",\n  \"integration_id\": \"int-987654321\",\n  \"vendor\": \"APPFOLIO\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/amenities/properties/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"amenity\": \"Swimming Pool\",\n  \"integration_id\": \"int-987654321\",\n  \"vendor\": \"APPFOLIO\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/amenities/properties/id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"amenity\": \"Swimming Pool\",\n  \"integration_id\": \"int-987654321\",\n  \"vendor\": \"APPFOLIO\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/amenities/properties/id', [
  'body' => '{
  "amenity": "Swimming Pool",
  "integration_id": "int-987654321",
  "vendor": "APPFOLIO"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/amenities/properties/id");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"amenity\": \"Swimming Pool\",\n  \"integration_id\": \"int-987654321\",\n  \"vendor\": \"APPFOLIO\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "amenity": "Swimming Pool",
  "integration_id": "int-987654321",
  "vendor": "APPFOLIO"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/amenities/properties/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```